LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::sheet::CellFlags Constant Group Referencepublished

These constants select different types of cell contents. More...

## Variables
const long | VALUE = 1
| selects constant numeric values that are not formatted as dates or times. More...
const long | DATETIME = 2
| selects constant numeric values that have a date or time number format. More...
const long | STRING = 4
| selects constant strings. More...
const long | ANNOTATION = 8
| selects cell annotations. More...
const long | FORMULA = 16
| selects formulas. More...
const long | HARDATTR = 32
| selects all explicit formatting, but not the formatting which is applied implicitly through style sheets. More...
const long | STYLES = 64
| selects cell styles. More...
const long | OBJECTS = 128
| selects drawing objects. More...
const long | EDITATTR = 256
| selects formatting within parts of the cell contents. More...
const long | FORMATTED = 512
| selects cells with formatting within the cells or cells with more than one paragraph within the cells. More...

## Detailed Description

These constants select different types of cell contents.

The values can be combined. They are used to insert, copy, or delete contents.

## Variable Documentation

## ◆ ANNOTATION

const long ANNOTATION = 8

selects cell annotations.

## ◆ DATETIME

const long DATETIME = 2

selects constant numeric values that have a date or time number format.

## ◆ EDITATTR

const long EDITATTR = 256

selects formatting within parts of the cell contents.

## ◆ FORMATTED

const long FORMATTED = 512

selects cells with formatting within the cells or cells with more than one paragraph within the cells.

## ◆ FORMULA

const long FORMULA = 16

selects formulas.

## ◆ HARDATTR

const long HARDATTR = 32

selects all explicit formatting, but not the formatting which is applied implicitly through style sheets.

## ◆ OBJECTS

const long OBJECTS = 128

selects drawing objects.

## ◆ STRING

const long STRING = 4

selects constant strings.

## ◆ STYLES

const long STYLES = 64

selects cell styles.

## ◆ VALUE

const long VALUE = 1

selects constant numeric values that are not formatted as dates or times.